=== modeling/CMakeLists.txt ===
#--------------------------------------------
# Modeling extension project
#--------------------------------------------
cmake_minimum_required(VERSION 2.6)

# Mini find CamiTK inside SDK
set(CAMITK_DIR ${CMAKE_BINARY_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CAMITK_DIR}/share/${CAMITK_SHORT_VERSION_STRING}/cmake)
include(CamiTKConfig)

camitk_extension_project(NAME "modeling"
                         CONTACT "Celine.Fouard@imag.fr,Emmanuel.Promayon@imag.fr"
                         DESCRIPTION "The modeling CamiTK Extension Project contains all the action and component extensions that are useful for biomechanical processing. It provides the LML, PML and MML libraries, and the related components and actions."
)
