=== imaging/actions/itkfilters/CMakeLists.txt ===
if (WIN32)
	if(CMAKE_CL_64)
		# for 64 bits platform, enable big obj (.o) handling, in ordere to correctly compile this (heavy) project
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}/bigobj")
	endif()
endif()

camitk_extension(
                    ACTION_EXTENSION
                    NEEDS_ITK
                    LIBRARIES ITKBasicFilters ITKCommon ITKIO
                    CEP_NAME CEP_IMAGING
                    DESCRIPTION "This action features basic ITK image processing filters"
)
