=== imaging/actions/itksegmentation/CMakeLists.txt ===
camitk_extension(
                    ACTION_EXTENSION
                    NEEDS_ITK
                    NEEDS_ACTION_EXTENSION multipicking
                    LIBRARIES ITKBasicFilters ITKCommon ITKIO
                    CEP_NAME CEP_IMAGING
                    DESCRIPTION "This action features basic ITK image processing segmentation algorithms"
)
