=== debian/changelog ===
camitk (3.2.2-2) unstable; urgency=medium

  * debian/control:
     - cme fix dpkg-control
     - canonical Vcs fields
  * debian/rules:
     s/CMAKE_BUILD_TYPE:STRING=RelWithDebInfo/CMAKE_BUILD_TYPE:STRING=None/
    Closes: #711515

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2013 15:35:44 +0100

camitk (3.2.2-1) unstable; urgency=low

  * New upstream release.
      - Patches removed (merged in upstream)
  * Removed QCustomPlot (licence was not compatible, FTBS on armel and armhf)
  * camitk-imp description is now "workbench" (flagship was not really nice)
  * Remove uneeded dependencies (see #714935)
  * Updated pixmaps and desktop installation
  * Disable parallel build (that generates a "out of memory" error on some 
    plateforms when compiling itk filters)
  * Updated dev dependencies

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Fri, 19 Jul 2013 11:39:38 +0200
