## camitk 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,11 +7,15 @@
 
 project(camitkopensource)
 
+# Allow testing of the whole camitk-opensource project
+include(CTest)
+enable_testing()
+
 # Specific to SDK: control the version (major, minor, default patch and )
 set(CAMITK_PROJECT_NAME "CamiTK")
 set(CAMITK_VERSION_MAJOR "3")
-set(CAMITK_VERSION_MINOR "2")
-set(CAMITK_VER_NICKNAME "azure") # blue, sapphire, *azure*, indigo, iris, Teal, cyan, turquoise, denim, celeste, zaffre, glaucous, ultramarine, cerulean
+set(CAMITK_VERSION_MINOR "3")
+set(CAMITK_VER_NICKNAME "indigo") # blue, sapphire, azure, *indigo*, iris, Teal, cyan, turquoise, denim, celeste, zaffre, glaucous, ultramarine, cerulean
 set(CAMITK_VERSION_PATCH "2") # patch version for packaging, change when appropriate
 string(TOLOWER "${CAMITK_PROJECT_NAME}-${CAMITK_VERSION_MAJOR}.${CAMITK_VERSION_MINOR}" CAMITK_SHORT_VERSION_STRING)
 
@@ -25,6 +29,7 @@
 # Configure CamiTK Opensource packaging.
 # Must be done before parsing extensions CMakeLists.txt files.
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/sdk/cmake/modules/macros)
+set(CAMITK_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
 include(CamiTKOpenSourcePackaging)
 camitk_opensource_packaging()
 
@@ -35,4 +40,14 @@
 add_subdirectory(imaging)
 add_subdirectory(modeling)
 
+# Do we wrapp CamiTK for scripting it into Python using Shiboken and PySide ?
+set(CAMITK_BINDING_PYTHON CACHE BOOL FALSE)
+
+# Consider python binding only if the CMake variable is checked
+if(CAMITK_BINDING_PYTHON)
+    add_subdirectory(python_sdk)
+endif()
+
+
+
 camitk_sub_project_validate(CEP_SET)
