=== imaging/components/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
     add_subdirectory(dicomdirectory)
     add_subdirectory(dicomimage)
 else()
-    message(WARNING "CAMITK_DICOM_INCOMPLETE_SUPPORT: This configuration uses the legacy dicom component (directly based on ITK). The CamiTK recommands using the new dicomdirectory and dicomimage components (which require/depend on GDCM library)")
+    message(WARNING "CAMITK_DICOM_INCOMPLETE_SUPPORT: This configuration uses the legacy dicom component (directly based on ITK). The CamiTK team recommends using the new dicomdirectory and dicomimage components (which require/depend on GDCM library version 2)")
     add_subdirectory(dicom)
 endif()
