=== sdk/components/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
 # find components
 get_subdirectories(COMPONENTS_LIST)
 
+# Recursively update the shiboken path variable containing the CamiTK SDK tree structure
+set(SHIBOKEN_CAMITK_SDK_PATH ${SHIBOKEN_CAMITK_SDK_PATH}:${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "") 
+
 # Add subdirectories in CMake project
 foreach(COMPONENT_NAME ${COMPONENTS_LIST})
   add_subdirectory(${COMPONENT_NAME})
