=== sdk/doc/CMakeLists.txt ===

add_subdirectory(resources/actions)
