=== imaging/actions/itksegmentation/CMakeLists.txt ===
camitk_extension(   ACTION_EXTENSION
                    NEEDS_ITK
                    NEEDS_ACTION_EXTENSION multipicking
                    CEP_NAME CEP_IMAGING
                    CXX_FLAGS "-w"
                    DESCRIPTION "This action features basic ITK image processing segmentation algorithms"
                    TEST_APPLICATION ${APPLICATION_TEST_ACTION}
)
