=== imaging/components/dicom/CMakeLists.txt ===
# dicom component just needs to use the component_extension macro
camitk_extension(   COMPONENT_EXTENSION
                    NEEDS_ITK
                    CEP_NAME CEP_IMAGING
                    CXX_FLAGS "-w"
                    DESCRIPTION  "This component allows the handling of DICOM images using GDCM 2.2"
                    DEFINES _SCL_SECURE_NO_WARNINGS _CRT_SECURE_NO_WARNINGS #to remove warning on Windows platform
                    TEST_APPLICATION ${APPLICATION_TEST_COMPONENT}
)
