=== imaging/components/dicomdirectory/CMakeLists.txt ===
camitk_extension(   COMPONENT_EXTENSION
                    DISABLED
                    NEEDS_GDCM
                    CEP_NAME CEP_IMAGING
                    DESCRIPTION "This component allows to read several image files from a directory using the library GDCM 2.2.x"
                    TEST_APPLICATION ${APPLICATION_TEST_COMPONENT}
)
