=== debian/changelog ===
camitk (3.3.2-2) unstable; urgency=medium

  * Fix autopkgtest for 3.3.2  
    Closes: #758130

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Tue, 23 Sep 2014 11:25:42 +0200

camitk (3.3.2-1) unstable; urgency=low

  * New upstream release. 
  * Patches:
    - avoid console redirection (config-console-redirection.diff)
    - missing manpages, desktop and icon (applications-man-pixmap-desktop.diff)
    - remove non-dfsg compliant flash video player
  * Added some package tests
  * Added some debian/tests files for autopkgtest
  * New dicom components now directly based on gdcm 

 -- Emmanuel Promayon <Emmanuel.Promayon@imag.fr>  Tue, 06 May 2014 11:06:00 +0200
