=== debian/control ===
--- 
+++ 
@@ -16,7 +16,10 @@
                libgdcm2-dev,
                libfftw3-dev,
                libqtwebkit-dev | libqt4-dev (<< 4.7),
-               libvtkgdcm2-dev
+               libvtkgdcm2-dev,
+               libqt4-opengl-dev,
+               xvfb,
+               xauth
 Build-Depends-Indep: doxygen,
                      graphviz
 Standards-Version: 3.9.5
@@ -24,6 +27,7 @@
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/camitk/trunk/
 Homepage: http://camitk.imag.fr/
 X-Homepage: https://forge.imag.fr/projects/camitk/
+Testsuite: autopkgtest
 
 Package: libcamitk3
 Architecture: any
